%global         git_commit 2063e75
Name:           kio_mtp
Version:        0.75
Release:        4.20131020git%{git_commit}%{?dist}
Summary:        An MTP KIO slave for KDE

Group:          System Environment/Libraries
License:        GPLv2+
URL:            https://projects.kde.org/projects/playground/base/kio-mtp
# Package from git snapshots, create example:
# git clone git://anongit.kde.org/kio-mtp.git
# cd kio-mtp
# git archive --prefix=kio_mtp-%{version}/ master | gzip > ../%{name}-%{version}-git%{git_commit}.tar.gz
Source0:        %{name}-%{version}-git%{git_commit}.tar.gz

BuildRequires:  kdelibs4-devel
BuildRequires:  libmtp-devel

%description
Provides KIO Access to MTP devices using the mtp:/// protocol.

%prep
%setup -q

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
rm -rf %{buildroot}

make install/fast  DESTDIR=%{buildroot} -C %{_target_platform}


%files
%defattr(-,root,root,-)
%doc README LICENCE
%{_kde4_libdir}/kde4/kio_mtp.so
%{_kde4_datadir}/kde4/services/mtp.protocol
%{_kde4_datadir}/kde4/apps/konqueror/dirtree/remote/mtp-network.desktop
%{_kde4_datadir}/kde4/apps/solid/actions/solid_mtp.desktop
%{_kde4_datadir}/kde4/apps/remoteview/mtp-network.desktop


%changelog
* Tue Nov 26 2013 Jan Grulich <jgrulich@redhat.com> - 0.75-4.20131020git2063e75
- update git snapshot

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.75-3.20130323gitcc6b195
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Tue Mar 26 2013 Jan Grulich <jgrulich@redhat.com> - 0.75-2.20130323gitcc6b195
- update git snapshot

* Tue Mar 26 2013 Jan Grulich <jgrulich@redhat.com> - 0.75-1.20130323git1bcd508
- update git snapshot

* Mon Mar 11 2013 Jan Grulich <jgrulich@redhat.com> - 0.70-5.20130311git7de86ba
- fix versioning

* Mon Mar 11 2013 Jan Grulich <jgrulich@redhat.com> - 0.70-4.20130311git7de86ba
- update git snapshot

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.70-3.20121225gitfae62fc
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Tue Dec 25 2012 Jan Grulich <jgrulich@redhat.com> - 0.70-2.20121225gitfae62fc
- Add LICENCE file
- Remove %%clean
- Change name

* Fri Dec 21 2012 Jan Grulich <jgrulich@redhat.com> - 0.70-1.20121221gitccaa6d1
- Initial package
- Based on git snapshot ccaa6d1da2d6c04134dd35fbdd6bbf5dd0b86572
